## wims-lti 0.4.3

=== requirements.txt ===
apscheduler >=3.6.3, <4
defusedxml>=0.6.0, <1.0.0
django>=3.0.1, <4.0.0
lti>=0.9.4, <1.0.0
markdown>=3.1.1, <4.0.0
oauth2>=1.9.0.post1, <2.0.0
oauthlib>=3.1.0, <4.0.0
requests>=2.22.0, <3.0.0
wimsapi>=0.5.7, <1.0.0

=== debian/changelog ===
wims-lti (0.4.3-5) unstable; urgency=medium

  * fixed a lot of typos in d/wims-lti.postinst, and taken care
    of the creation of a system group "lti"
  * fixed the symlink for popper.min.js in d/rules
  * added missing dependencies
  * patched lti_app/utils.py to use oauth2 from oauthlib library.
  * added the missing directory wims-lti/tests to d/wims-lti.install
  * fixed python-path in the patch apacheconf.patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 27 Nov 2020 17:38:10 +0100

wims-lti (0.4.3-4) unstable; urgency=medium

  * upgraded standards : debhelper-compat (= 13), Standards-Version: 4.5.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Nov 2020 19:51:50 +0100

wims-lti (0.4.3-3) unstable; urgency=medium

  * added Helge Kreutzman's translation (Thanks!)
    Closes: #971922

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 10 Oct 2020 19:53:19 +0200

wims-lti (0.4.3-2) unstable; urgency=medium

  * added a glossary in debian/control, thanks to Wookey's hint.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 15:45:01 +0200

wims-lti (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #968718)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Aug 2020 17:30:18 +0200

=== debian/control ===
Source: wims-lti
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all
Standards-Version: 4.5.1
Homepage: https://github.com/PremierLangage/wims-lti
Vcs-Browser: https://salsa.debian.org/georgesk/wims-lti
Vcs-Git: https://salsa.debian.org/georgesk/wims-lti.git

Package: wims-lti
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3,
 python3-apscheduler,
 python3-oauthlib,
 libjs-bootstrap,
 libjs-jquery,
 fonts-font-awesome,
 libjs-popper.js,
 adduser
Recommends: python3-wimsapi,
 python3-lti
Description: gateway server that links LMSs to WIMS servers, using LTI
 WIMS-LTI is a gateway server that links LMSs to WIMS servers, using LTI.
 .
 Glossary:
 =========
  - Wims is an interactive web service featuring rich dynamic exercices for
    students, and a framework to manage inline courses, virtual classes
    for teachers. Wims is a LMS, currently packaged in Debian.
  - the acronym LMS stands for Learning Management System. Popular
    Learning Management systems are Moodle, Chamilo, Claroline, etc.
    see https://en.wikipedia.org/wiki/Learning_management_system
  - LTI is an acronym for Learning Tools Interoperability: it is an
    open standard allowing one to define quickly communication channels
    between LMS(a) and LMS(b), for example to allow one to manage a virtual
    class with his students in LMS(a), and cherry pick exercises provided
    by LMS(b) seemlessly.
 ==========
 .
 A single instance of WIMS-LTI can handle a lot of LMS and WIMS servers.
 .
 WIMS-LTI allows :
 .
  - To create a WIMS class associated to a LMS' course.
  - To create students corresponding to that course in the WIMS class.
  - Students to connect to the WIMS server from a LMS.
  - Teachers to connect to the WIMS class as supervisor or as student
    from a LMS.
  - To send the grades of students back to the LMS (automatically and
    manually).
 .
 The documentation is available on readthedocs:
 https://wims-lti.readthedocs.io/.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

DESTDIR = debian/wims-lti
STATIC_DIR = $(DESTDIR)/var/lib/wims-lti/lti_app/static

override_dh_install:
	dh_install
	# fix an executable flag
	chmod -x $(DESTDIR)/var/lib/wims-lti/lti_app/validator.py
	# make symlinks from the static dir to resources replacing
	# links to external website entailing brivacy breach.
	ln -s /usr/share/javascript/bootstrap/css/bootstrap.min.css \
	  $(STATIC_DIR)/css/
	mkdir -p $(STATIC_DIR)/js
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js \
	  $(STATIC_DIR)/js/
	ln -s /usr/share/fonts-font-awesome/css/font-awesome.min.css \
	  $(STATIC_DIR)/css/
	ln -s /usr/share/javascript/jquery/jquery.min.js \
	  $(STATIC_DIR)/js/
	#ln -s /usr/share/javascript/popper.js/popper.min.js \
	#  $(STATIC_DIR)/js/
	ln -s /usr/share/nodejs/popper.js/dist/popper.min.js \
	   $(STATIC_DIR)/js/

## wims-lti 0.4.4

=== requirements.txt ===
apscheduler >=3.6.3, <40.5.8
defusedxml>=0.6.0, <1.0.0
django>=3.0.8, <4.0.0
lti>=0.9.5, <1.0.0
markdown>=3.2.2, <4.0.0
oauth2>=1.9.0.post1, <2.0.0
oauthlib>=3.1.0, <4.0.0
requests>=2.24.0, <3.0.0
wimsapi>=0.5.9, <1.0.0

=== debian/changelog ===
wims-lti (0.4.4-4) unstable; urgency=medium

  * modified the postinst script to avoid the mofification of
    the file wims-lti-django.conf-dist, which is considered as a conffile,
    hence not modifiable per the Policy (10.7.3). Closes: #984115

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Mar 2021 14:52:21 +0100

wims-lti (0.4.4-3) unstable; urgency=medium

  * Applied the fix suggested by Andreas Beckman, thanks! Closes: #983785

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Mar 2021 11:18:50 +0100

wims-lti (0.4.4-2) unstable; urgency=medium

  * included Américo Monteiro's po file, thanks! Closes: #982656

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Feb 2021 15:10:52 +0100

wims-lti (0.4.4-1) unstable; urgency=medium

  * new upstream version 

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 20:04:18 +0100

wims-lti (0.4.3-9) unstable; urgency=medium

  * added the missing script createsuperuser, and modified slightly
    the post-installation script
  * improved the management of Apache's configuration in post-inst
    and post-rm scripts; use d/rules to install the distribution's
    Apache configuration file

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Dec 2020 18:28:35 +0100

wims-lti (0.4.3-8) unstable; urgency=medium

  * added dependencies on: apache2, sqlite3, acl, python3-defusedxml,
    python3-wimsapi, libapache2-mod-wsgi-py3. Added suggests and enhances:
    wims.
  * modified the postinst script to check whether apache2 is active
    before trying to reload it.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Dec 2020 16:25:48 +0100

wims-lti (0.4.3-7) unstable; urgency=medium

  * added the dependency on python3-django and python3-lti

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Dec 2020 18:13:56 +0100

wims-lti (0.4.3-6) unstable; urgency=medium

  * added Frans Spiesschaert's po file (Thanks!). Closes: #972979

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Dec 2020 15:29:05 +0100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,21 @@
  python3,
  python3-apscheduler,
  python3-oauthlib,
+ python3-django,
+ python3-lti,
+ python3-defusedxml,
+ python3-wimsapi,
  libjs-bootstrap,
  libjs-jquery,
  fonts-font-awesome,
  libjs-popper.js,
- adduser
-Recommends: python3-wimsapi,
- python3-lti
+ adduser,
+ apache2,
+ libapache2-mod-wsgi-py3,
+ sqlite3,
+ acl
+Suggests: wims
+Enhances: wims
 Description: gateway server that links LMSs to WIMS servers, using LTI
  WIMS-LTI is a gateway server that links LMSs to WIMS servers, using LTI.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_install:
 	dh_install
+	install -d $(DESTDIR)/etc/apache2/sites-available
+	cp wims-lti-django.conf $(DESTDIR)/etc/apache2/sites-available/wims-lti-django.conf-dist
 	# fix an executable flag
 	chmod -x $(DESTDIR)/var/lib/wims-lti/lti_app/validator.py
 	# make symlinks from the static dir to resources replacing

## wims-lti 0.4.4.1

=== debian/changelog ===
wims-lti (0.4.4.1-17) unstable; urgency=medium

  * added a dependency on python3-pyutil. Closes: #1108932

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 09 Jul 2025 09:05:10 +0200

wims-lti (0.4.4.1-16) unstable; urgency=medium

  * added a build dependency on python3-setuptools. Closes: #1080831
  * bumped Standards-Version: 4.7.1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2025 10:32:54 +0100

wims-lti (0.4.4.1-15) unstable; urgency=medium

  * replaced libjs-bootstrap by libjs-bootstrap5. Closes: #1088537

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Dec 2024 11:31:50 +0100

wims-lti (0.4.4.1-14) unstable; urgency=medium

  * added pt_BR.po, thanks to Paulo Henrique de Lima Santana. Closes: #1025993

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 14:10:08 +0100

wims-lti (0.4.4.1-13) unstable; urgency=medium

  * added sv.po, thanks to Peter Kvillegård. Closes: #1042516

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 11:06:22 +0200

wims-lti (0.4.4.1-12) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:32:08 +0100

wims-lti (0.4.4.1-11) unstable; urgency=medium

  * do not use perl in postrm script. Closes: #1009644
  * bumped Standards-Version: 4.6.0
  * updated d/po/pt.po; Closes: #1000763

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Apr 2022 09:31:53 +0200

wims-lti (0.4.4.1-10) unstable; urgency=medium

  * replaced the call of tempfile by a call of $(perl -e 'print rand();')
    a piuparts is missing the package debianutils ... Why is puiparts
    missing this package?
  * removed the dependency on debianutils which is useless

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Sep 2021 19:09:14 +0200

wims-lti (0.4.4.1-9) unstable; urgency=medium

  * added a dependency on debianutils, which is necessary for post-removal
    script

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Sep 2021 20:33:25 +0200

wims-lti (0.4.4.1-8) unstable; urgency=medium

  * removed "which" commands from the post{int|rm} scripts

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Sep 2021 12:53:08 +0200

wims-lti (0.4.4.1-7) unstable; urgency=medium

  * reuploaded the source, since I do not understand why piuparts can fail

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Sep 2021 12:35:00 +0200

wims-lti (0.4.4.1-6) unstable; urgency=medium

  * removed the dependency on  python3-mysql.connector; this package provided
    python modules names "mysql" and "mysqlx", bu there is not "import mysql"
    in any Python file. As a matter of fact, this dependency was suggested by
    the documentation of the upstream package, but it depends on a use case
    where an Oracle database is used for the Django-based server. Currently,
    the debian package configures Django's settings.py file to use its
    sqlite3 backend.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 27 Aug 2021 19:15:28 +0200

wims-lti (0.4.4.1-5) unstable; urgency=medium

  * added debian/po/{de,es,nl}.po :
    Closes: #987418
    Closes: #988377
    Closes: #989052

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 10:59:00 +0200

wims-lti (0.4.4.1-4) unstable; urgency=medium

  * reordered a little commands in d/wims-lti.postinst, so the module
    wimsLTI.config does exist before the first call to manage.py;
    Closes: #989112

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Aug 2021 14:59:40 +0200

wims-lti (0.4.4.1-3) unstable; urgency=medium

  * Now the package ships a file /var/lib/wims-lti/wimsLTI/config.py_dpkg_dist
    and the file /var/lib/wims-lti/wimsLTI/config.py is managed during
    the package's configuration. Closes: #987610

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 May 2021 18:17:58 +0200

wims-lti (0.4.4.1-2) unstable; urgency=medium

  * added a dependency on python3-httplib2; Closes: #987302

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Apr 2021 16:12:04 +0200

wims-lti (0.4.4.1-1) unstable; urgency=medium

  * debian/postinst: fixed the substitution for sed, and the path
    for confFile; fixed the substitution to build a correct
    Python list syntax
  * added a configuration for https:
  * added a configuration for SSL
  * settings.py: fixed the link to static data when DEBUG is True
  * added dependencies: python3-redis, python3-pymongo, python3-memcache,
    python3-mysql.connector
  * embedded the oauth2 library from https://pypi.org/project/oauth2/
  * modifications to use a local wims package

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 Apr 2021 12:39:03 +0200

wims-lti (0.4.4-6) unstable; urgency=medium

  * fixed missing quotes around a string constant
  * define ALLOWED_HOSTS in config.py at postinst time

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 12 Apr 2021 11:42:12 +0200

wims-lti (0.4.4-5) unstable; urgency=medium

  * modified d/wims-lti.postrm: purge will remove
    /etc/apache2/sites-available/wims-lti-django.conf
    Closes: #985872

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Mar 2021 13:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
- python3-all
-Standards-Version: 4.5.1
+ python3-all,
+ python3-setuptools
+Standards-Version: 4.7.1
 Homepage: https://github.com/PremierLangage/wims-lti
 Vcs-Browser: https://salsa.debian.org/georgesk/wims-lti
 Vcs-Git: https://salsa.debian.org/georgesk/wims-lti.git
@@ -18,9 +19,14 @@
  python3-oauthlib,
  python3-django,
  python3-lti,
+ python3-redis,
+ python3-pymongo,
+ python3-memcache,
  python3-defusedxml,
+ python3-httplib2,
  python3-wimsapi,
- libjs-bootstrap,
+ python3-pyutil,
+ libjs-bootstrap5,
  libjs-jquery,
  fonts-font-awesome,
  libjs-popper.js,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

DESTDIR = debian/wims-lti
STATIC_DIR = $(DESTDIR)/var/lib/wims-lti/lti_app/static

override_dh_install:
	dh_install
	install -d $(DESTDIR)/etc/apache2/sites-available
	cp wims-lti-django.conf $(DESTDIR)/etc/apache2/sites-available/wims-lti-django.conf-dist
	# fix executable flag*
	chmod -x $(DESTDIR)/var/lib/wims-lti/lti_app/validator.py \
	  $(DESTDIR)/var/lib/wims-lti/lti_app/tests/resources/6948902.tgz
	# make symlinks from the static dir to resources replacing
	# links to external website entailing brivacy breach.
	ln -s /usr/share/javascript/bootstrap5/css/bootstrap.min.css \
	  $(STATIC_DIR)/css/
	mkdir -p $(STATIC_DIR)/js
	ln -s /usr/share/javascript/bootstrap5/js/bootstrap.min.js \
	  $(STATIC_DIR)/js/
	ln -s /usr/share/fonts-font-awesome/css/font-awesome.min.css \
	  $(STATIC_DIR)/css/
	ln -s /usr/share/javascript/jquery/jquery.min.js \
	  $(STATIC_DIR)/js/
	#ln -s /usr/share/javascript/popper.js/popper.min.js \
	#  $(STATIC_DIR)/js/
	ln -s /usr/share/nodejs/popper.js/dist/popper.min.js \
	   $(STATIC_DIR)/js/
	# create the file config.py_dpkg_dist
	mv  $(DESTDIR)/var/lib/wims-lti/wimsLTI/config.py \
	  $(DESTDIR)/var/lib/wims-lti/wimsLTI/config.py_dpkg_dist

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wims-lti-$1.tar.gz%" \
   https://github.com/PremierLangage/wims-lti/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
